#ifndef BBCmd_MULTI_H
#define BBCmd_MULTI_H

/**
 * The public header file of BBCmdMultiCommand
 *
 * `Multi' command is used to regard many commands as a command.
 */

#include "BBCmd.h"


/**
 * Return an empty `Multi' command (or NULL for failure).
 *
 * An empty `Multi' command is also executable, but does nothing.
 */
BBCmdCommand* BBCmdMultiCommand_New(void);

/**
 * Add a given `command' to `self'.
 * Return true for success or false for failrue.
 * If this function failed, `self' is not changed.
 *
 * After adding `command', it will be owned by `self'.
 * So the caller must not delete it.
 * The commands which are owned by `self' will be deleted
 * when `self' is deleted.
 */
int BBCmdMultiCommand_Add(BBCmdCommand* self, BBCmdCommand* command);


#endif
